## org.apache.felix.bundleplugin
Class AbstractDependencyFilter

    java.lang.Object
      org.apache.felix.bundleplugin.AbstractDependencyFilter

Direct Known Subclasses:
  DependencyEmbedder, DependencyExcluder

    public abstract class AbstractDependencyFilter

extends java.lang.Object

Apply clause-based filter over given dependencies

Author:
  Felix Project Team

Constructor Summary
`AbstractDependencyFilter(java.util.Collection dependencyArtifacts)`

Method Summary
`protected abstract void` `processDependencies(java.lang.String clause, java.lang.String inline, java.util.Collection dependencies)`
`protected void` `processInstructions(java.util.Map instructions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDependencyFilter

    public AbstractDependencyFilter(java.util.Collection dependencyArtifacts)

Method Detail

### processInstructions

    protected final void processInstructions(java.util.Map instructions)
                                      throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### processDependencies

    protected abstract void processDependencies(java.lang.String clause,
                                                java.lang.String inline,
                                                java.util.Collection dependencies)

Copyright © 2011. All Rights Reserved.